<?php
/*
 +--------------------------------------------------------------------+
 | Copyright MJW. All rights reserved.                                |
 |                                                                    |
 | This work is published under the GNU AGPLv3 license with some      |
 | permitted exceptions and without any warranty. For full license    |
 | and copyright information, see https://civicrm.org/licensing       |
 +--------------------------------------------------------------------+
 */

return [
  [
    'name' => 'job_stripeinport_importsubscriptions',
    'entity' => 'Job',
    'cleanup' => 'always',
    'update' => 'unmodified',
    'params' =>
      [
        'version' => 3,
        'name' => 'Stripe: Import Subscriptions',
        'description' => '',
        'run_frequency' => 'Hourly',
        'api_entity' => 'Stripe',
        'api_action' => 'importsubscriptions',
        'parameters' => 'ppid=2
membership_auto=1
financial_type_id=2
payment_instrument_id=1
membership_disableupdate=0
created_after=-1 day',
        'is_active' => FALSE,
        'match' => ['name'],
      ],
  ],
];
